<link rel="import" href="../iron-flex-layout-attributes.html">
<dom-module id="demo-element">
  <template>
    <style>
      :host > div {
          margin-bottom: 1em !important;
      }
      [horizontal][layout] {
          margin: 0;
          padding: 0;
      }
      [vertical][layout] {
          margin: 0;
          padding: 0;
      }
      [vertical][layout] > * {
          margin: 0;
      }

      [blue-50], [blue-100], [blue-200], [blue-300], [blue-400], [gray], [grey], [white] {
          padding: 10px;
      }
      [blue-50] {
          background-color: #E3F2FD;
      }
      [blue-100] {
          background-color: #BBDEFB;
      }
      [blue-200] {
          background-color: #90CAF9;
      }
      [blue-300] {
          background-color: #64B5F6;
      }
      [blue-400] {
          background-color: #42A5F5;
      }
      [white] {
          background: white;
          margin: 10px !important;
      }
    </style>
    <style include="iron-flex-layout-attributes"></style>
    <div horizontal layout>
        <div blue-400>left</div>
        <div vertical layout flex>
            <div blue-300>top</div>
            <div horizontal layout>
                <div vertical layout flex>
                    <div horizontal layout>
                        <div blue-200>left</div>
                        <div blue-100 flex>left</div>
                        <div blue-50 flex-5 style="height:200px">
                            <p>client</p>
                            <p><a href="https://www.google.be">Google</a></p>
                            <p>this is a long text...qkfs.ng,jdfndfkjbn,smadf nd,s.fmnbs,mdnbm,sdnf.b,mnmbn dfnb,mfnlbkaense.nbsdf.bn.,nm,m.m</p>
                        </div>
                        <div blue-100>right</div>
                    </div>
                    <div blue-300>bottom</div>
                </div>
                <div blue-200>right</div>
            </div>
        </div>
    </div>

    <h3>Example 2</h3>
    <div horizontal layout>
        <div blue-300>left</div>
        <div blue-200>left</div>
        <div vertical layout>
            <div blue-200>top</div>
            <div blue-100>top</div>
            <div blue-50>
                <p>client</p>
                <p><a href="">Google</a></p>
                <p>this is a long text...qkfs.ng,jdfndfkjbn,smadf nd,s.fmnbs,mdnbm,sdnf.b,mnmbn dfnb,mfnlbkaense.nbsdf.bn.,nm,m.m</p>
            </div>
            <div blue-100>bottom</div>
        </div>
        <div blue-200>right</div>
    </div>

    <h3>flexbox examples</h3>
    <h5>horizontal/vertical layout</h5>
    <div horizontal layout blue-200>
        <div white>One</div>
        <div white>Two</div>
        <div white>Three</div>
    </div>
    <div horizontal layout blue-200>
        <div white>One</div>
        <div white flex>Two (flex)</div>
        <div white>Three</div>
    </div>
    <div horizontal layout blue-200 style="height:250px">
        <div white>One</div>
        <div white flex>Two (flex)</div>
        <div white>Three</div>
    </div>
    <div horizontal layout blue-200>
        <div white flex-3>One</div>
        <div white flex>Two</div>
        <div white flex-2>Three</div>
    </div>
    <h5>vertical axis alignment</h5>
    <div horizontal layout start blue-200 style="height:100px">
        <div white>top</div>
    </div>
    <div horizontal layout center blue-200 style="height:100px">
        <div white>center</div>
    </div>
    <div horizontal layout end blue-200 style="height:100px">
        <div white>bottom</div>
    </div>
    <h5>Justification</h5>
    <div horizontal layout start-justified blue-200>
        <div white>start-justified</div>
    </div>
    <div horizontal layout center-justified blue-200>
        <div white>center-justified</div>
    </div>
    <div horizontal layout end-justified blue-200>
        <div white>end-justified</div>
    </div>
    <div horizontal layout justified blue-200>
        <div white>One</div>
        <div white>Two</div>
        <div white>Three</div>
    </div>
    <div horizontal layout around-justified blue-200>
        <div white>around-justified</div>
        <div white>around-justified</div>
    </div>
    <h5>Wrapping</h5>
    <div horizontal layout wrap blue-200 style="widht:250px">
        <div white>these</div>
        <div white>are</div>
        <div white>stacked</div>
        <div white>automatically</div>
    </div>
    <h5>Reversed layout</h5>
    <div horizontal layout reverse blue-200>
        <div white>one</div>
        <div white>two</div>
        <div white>three</div>
        <div white>four</div>
    </div>
    <h5>Filling a container</h5>
    <div style="position:relative;height:400px">
        <div vertical layout fit blue-200>
            <div white flex>big</div>
        </div>
    </div>
  </template>
  <script>
    Polymer({
      is: 'demo-element'
    });
  </script>
</dom-module>
